# Method: accounts.icons.get

- [HTTP request](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/get#body.request_body)
- [Response body](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/get#body.response_body)
- [Authorization scopes](https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons/get#body.aspect)

Returns the `Icon` instance associated with an icon resource name specified in the request URI. To get icon resource names, use the `list` method.

### HTTP request

`GET https://travelpartner.googleapis.com/v3/{name=accounts/*/icons/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The icon's resource name. The format is `accounts/{account_id}/icons/{icon_id}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/hotels/hotel-prices/api-reference/rest/v3/accounts.icons#Icon`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/travelpartner`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).